aboutsummaryrefslogtreecommitdiff
path: root/release/scripts
diff options
context:
space:
mode:
authorJordan K. Hubbard <jkh@FreeBSD.org>1998-12-06 04:06:39 +0000
committerJordan K. Hubbard <jkh@FreeBSD.org>1998-12-06 04:06:39 +0000
commitc42340bcb7433e85de852a52eb9d9aee4c81f79e (patch)
tree2b78a4fac2553add3f9655c24fe3d34eda2a80e0 /release/scripts
parent0a194dfe3f33c3f5bb9403e3d709b70354b816ad (diff)
downloadsrc-c42340bcb7433e85de852a52eb9d9aee4c81f79e.tar.gz
src-c42340bcb7433e85de852a52eb9d9aee4c81f79e.zip
Put mfsroot.gz on yet another filesystem so that the boot blocks
can really read it. Hmm. I have no idea *how* this worked in our earlier tests on the x86. :)
Notes
Notes: svn path=/head/; revision=41552
Diffstat (limited to 'release/scripts')
-rw-r--r--release/scripts/doFS.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/release/scripts/doFS.sh b/release/scripts/doFS.sh
index 74bab0969b52..50d1c840d06e 100644
--- a/release/scripts/doFS.sh
+++ b/release/scripts/doFS.sh
@@ -49,7 +49,11 @@ do
mount /dev/${VNDEVICE}c ${MNT}
- ( set -e && cd ${FSPROTO} && find . -print | cpio -dump ${MNT} )
+ if [ -d ${FSPROTO} ]; then
+ (set -e && cd ${FSPROTO} && find . -print | cpio -dump ${MNT})
+ else
+ cp -p ${FSPROTO} ${MNT}
+ fi
df -ki /mnt